List the members of an organization
GET/orgs/{org}/members
List the paginated details of the members of an organization.
Path Parameters
The handle of the organization.
Possible values: non-empty and <= 50 characters
Query Parameters
The index of the page.
Possible values: >= 1
1The maximum size of the pages.
Possible values: >= 1 and <= 50
20The criteria used to sort the members.
Possible values: [handle, createdAt]
handleThe term used to search the members by handle or alias.
The term used to search members after or equal to the specified date.
The term used to search members before or equal to the specified date.
Responses
- 200
- 404
The requested page of the list of members of the organization
Headers
- Page-Totalinteger
The total number of pages available.
- Page-Sizeinteger
The selected maximum size of the pages.
- Page-Currentinteger
The index of the requested page.
- Item-Totalinteger
The total number of items.
Response Body
Array [
]
The UUID of the user. Is unique.
string<uuid>00000000-0000-0000-0000-000000000000The handle of the user. Is unique.
string<handle>user-aThe alias of the user.
string,null<alias>User AThe email of the user. Is unique.
string<email>user.a@email.comIndicates whether the email of the user has been verified.
trueThe state of the user.
UserState (string)Possible values: [verified, unverified, blocked]
verifiedThe number of organizations of the user.
integer<int32>10The number of spaces of the user.
integer<int32>10The date and time when the user was created.
string<date-time>2023-01-01T00:00:00.000000ZExample from Schema
[
{
"id": "00000000-0000-0000-0000-000000000000",
"handle": "user-a",
"alias": "User A",
"email": "user.a@email.com",
"emailVerified": true,
"state": "verified",
"orgs": 10,
"spaces": 10,
"createdAt": "2023-01-01T00:00:00.000000Z"
}
]
Resource not found
Response Body
The message of the error.
this is an error messageExample from Schema
{
"message": "this is an error message"
}